Subject: bug#4539 closed by Glenn Morris <[email-masked]> (Re: bug#4539: 23.1; problem with attachments)

From: [email-masked] (Emacs bug Tracking System)
Date: Thu, 24 Sep 2009 03:30:07 +0000

This is an automatic notification regarding your bug report
which was filed against the emacs package:

#4539: 23.1; problem with attachments

It has been closed by Glenn Morris <[email-masked]>.

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact Glenn Morris <[email-masked]> by
replying to this email.

-- 
4539: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=4539
Emacs Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#4539: 23.1; problem with attachments
From: Glenn Morris <[email-masked]>
To: [email-masked]
Date: Wed, 23 Sep 2009 23:24:19 -0400

Thank you for the example mail (received off-list). I believe the
following changes fix this issue:

    * mail/rmailmm.el (rmail-mime-multipart-handler): Accept the case
    where there is no newline after the final mime boundary.
    Move markers on insertion so that any buttons inserted
    don't end up in the next part of a multipart message.

http://cvs.savannah.gnu.org/viewvc/emacs/lisp/mail/rmailmm.el?root=emacs&r1=1.10&r2=1.11&pathrev=MAIN

Subject: 23.1; problem with attachments
From: Art Werschulz <[email-masked]>
To: [email-masked]
Date: Wed, 23 Sep 2009 11:02:56 -0400

Running rmail, I visited a msg that had an attachment.  
I typed the "v" key, hoping to view the attachment.
I got the following error msg (from the *Messages* buffer):

rmail-mm-get-boundary-error-message: Malformed boundary; type: (multipart/alternative (boundary . =_alternative 0056AED705257627_=)); disposition: (inline); encoding: nil

If you like, I'll send you the entire message that produced the error.
Unfortunately, I can't generate a "minimal example", because on some
msgs the "v" command works and on some it doesn't; I am unable to
charactize a condition that makes the difference.

In GNU Emacs 23.1.1 (i386-redhat-linux-gnu, GTK+ Version 2.16.5)
 of 2009-08-26 on x86-2.fedora.phx.redhat.com
Windowing system distributor `The X.Org Foundation', version 11.0.10603000
configured using `configure  '--build=i386-redhat-linux-gnu' '--host=i386-redhat-linux-gnu' '--target=i586-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=i386-redhat-linux-gnu' 'host_alias=i386-redhat-linux-gnu' 'target_alias=i586-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i586 -mtune=generic -fasynchronous-unwind-tables''

Important settings:
  value of $LC_ALL: C
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: nil
  default-enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-u <escape> x r m a i l <return> R M A I L . k e e 
p <return> p p p p v q C-x b <return> C-x b * <backspace> 
R M A I L <return> C-x k <return> C-x C-f R M <tab> 
C-g C-x b R <tab> <return> <escape> x r e p o r - <backspace> 
t - b u g <return>

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Counting messages...done
Showing message 14
Showing message 14...done
rmail-mm-get-boundary-error-message: Malformed boundary; type: (multipart/alternative (boundary . =_alternative 0056AED705257627_=)); disposition: (inline); encoding: nil
(No changes need to be saved)
Quit